package GUIActions;

import java.awt.event.ActionEvent;
import java.io.File;
import java.io.ObjectOutputStream;
import javax.swing.*;

/**Saves the input data as a serialized file to a location and filename of the
 * user's choice.  <b>THIS ACTION IS NOT WORKING CORRECTLY</b>
 * @version 1.100
 * @author dixonw*/
public final class SaveDataFileAction extends MainGUIActionsBaseClass {

   /** Constructor calls AssignToAction ( ), defined in the
    * MainGUIActionsBaseClass, to add the
    * accelerator key, the long description, the short description, the
    * mnemonic key, and the small icon to the action.  The values to which
    * the attributes are set are defined in interface
    * Constant_Values.MainGUIActionsConstants*/
   public SaveDataFileAction () {
      /** Constructor calls AssignToAction ( ) to add the
       * accelerator key, the long description, the short description, the
       * mnemonic key, and the small icon to the action.*/
      AssignToAction (
         SaveFileAction_ACCELERATOR_KEY , SaveFileAction_LONG_DESCRIPTION , SaveFileAction_MNEMONIC_KEY , SaveFileAction_NAME , SaveFileAction_SHORT_DESCRIPTION , SaveFileAction_SMALL_ICON );
   }

   /** When the toolbar button is clicked on the menubar, this saves the input data
    * as a serialization of the data.*/
   public void actionPerformed ( ActionEvent event ) {
      jFileChooser = new JFileChooser ( fileNameForJFileChooser );
      //Handle open button action.
      jFileChooser.setDialogTitle ( "SAVE INPUT DATA TO FILE" );
      int returnVal = jFileChooser.showSaveDialog ( null );
      if (returnVal == JFileChooser.APPROVE_OPTION) {
         outputFile = jFileChooser.getSelectedFile ();
         // update the fileNameForJFileChooser for later 
         // access to the same folder
         fileNameForJFileChooser = jFileChooser.getSelectedFile ();
         try {  // open object file for reading
            java.io.ObjectOutputStream objectOutputStream 
               = new java.io.ObjectOutputStream (
               new java.io.FileOutputStream ( outputFile ) );
            objectOutputStream.writeObject ( inputDataToBeSaved );
////            inputDataToBeSaved . writeExternal ( objectOutputStream ) ;
////System.out.println ( "\nIN GUIDatas.SaveasDataFile after saving: inputDataToBeSaved . toString ( ) " + inputDataToBeSaved.toString2 () );
            objectOutputStream.flush ();
            objectOutputStream.close ();
         }
         catch ( java.lang.Exception exception ) {
            Utility.err.println ( "ERROR IN SaveDataFileAction.actionPerformed " 
               + exception.getClass ().getName () + " thrown while writing inputData." );
            exception.printStackTrace ();
         }  // end of try-catch

      }// end of if (returnVal == JFileChooser.APPROVE_OPTION)

   }  // end of actionPerformed(ActionEvent event)


   /**The file chooser.*/
   private JFileChooser jFileChooser = null;

   /**The output file.*/
   private File outputFile;

 ////  /**The Object coutput stream.*/
 ////  private java.io.ObjectOutputStream objectOutputStream;

   /**The input data singleton.*/
   private GUIData.InputDataSingleton inputDataToBeSaved 
      = GUIData.InputDataSingleton.getInstance ();

}
