/*
 * InputClassesBaseClass.java
 *
 * Created on January 14, 2007, 5:34 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package GUIData;

/**This in only a base class so that all the input classes can be passed to the
 *JavaObjectGUI as a common class, the InputClassesBaseClass.  It also provides a
 * reflexive toString ( ) method for all the subclasses of this class.
 * @version 1.100
 * @author dixonw*/
public class InputClassesBaseClass implements java.io.Serializable {

   /** Creates a new instance of InputClassesBaseClass */
   public InputClassesBaseClass () {
   }

   /**Returns a String containing all the input data.*/
   public String toString () {
      java.lang.StringBuilder stringBuilder =
         new java.lang.StringBuilder ( 1000 );
      // Get class
      // Get the input Fields
      java.lang.reflect.Field inputDataFields[] = this.getClass ().
         getDeclaredFields ();
      // Get one Field
      java.lang.reflect.Field inputDataField = null;
      // The declaring class
      java.lang.Class declaringClass = null;
      // Loop over fields
      for ( int i = 0 ; i < inputDataFields.length ; i ++ ) {
         declaringClass = null;
         try {
            inputDataField = inputDataFields[i];
            declaringClass = inputDataField.getDeclaringClass ();
            stringBuilder.append ( "\n    " + GUIs.StringProcessorsforGUIs.
               MakeDataTitleForInputGUI ( inputDataField.getName () ) + " =  " );
            Object fieldInInputData = ( inputDataFields[i].get ( this ) );
            stringBuilder.append ( fieldInInputData.toString () );
         }  // end of try
         catch ( Throwable throwable ) {
            Utility.err.println ( "ERROR in GUIDatas.InputClassesBaseClass: InputData." +
               "toString ( ) throws an " + throwable.getClass ().getName () +
               "\nIn getting the " + inputDataField.getName () +
               " attribute of inputData of class " + declaringClass.getName () +
               "\nThe exception message is " + throwable.getMessage () );
         }  // end of catch
      }  // end of for ( int i = 0 ; i < inputDataFields . length   ; i++ )
      return stringBuilder.toString ();
   }  // end of toString

}
