/*
 * InterfaceCard.java
 *
 * Created on July 13, 2007, 4:54 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ModelConstants;

/**Ts interface defines the constants used in the interface cards of the model.
 *
 * @version 2.202
 * @author dixonw
 * @modified JMP 28Oct11 for HDLC
 */
public interface InterfaceCard {

    /**Size of the transmit buffer in the interfaces in bytes.*/
    int interfaceTransmitBufferSizeInKilobytes = 16  ;
    
    /**Size of the transmit buffer in the interfaces in bytes.*/
    int interfaceReceiveBufferSizeInKilobytes = 16  ;    
  
/**Time for the interface card to convert the IP packet into
 * a frame for transmission.  One microsecond*/
long timeToConvertPacketIntoFrame = ( long ) 
       ( 0.0001 * ModelData . GlobalVariables . timeTicksPerSecond ) ;    
}
