/*
 * Node.java
 *
 * Created on July 13, 2007, 12:33 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ModelConstants;

/**This interface defines the constants for the nodes.
 *
 * @version 1.100
 * @author dixonw*/
public interface Node {
    
/**Time to move the packet from the node buffer to the interface.  One microsecond*/
long timeToMovePacketFromNodeBufferToInterfaceBufferInTicks = ( long ) 
       ( 0.000001 * ModelData.GlobalVariables.timeTicksPerSecond ) ;


/**Time to move the packet from the interface to the node buffer.  One microsecond*/
long timeToMovePacketFromInterfaceBufferToNodeBufferInTicks = ( long ) 
       ( 0.000001 * ModelData.GlobalVariables.timeTicksPerSecond ) ;

/**Time to route the packet by looking up the interface number in the
 * routing table.  One microsecond*/
long timeToRoutePacketInTicks = ( long ) 
       ( 0.000001 * ModelData.GlobalVariables.timeTicksPerSecond ) ;

/**Size of the buffer in the node in kilobytes.*/
 int nodeBufferSizeInKilobytes = 20 ;      


}
