/*
 * ModelDataBaseClass.java
 *
 * Created on June 5, 2007, 2:32 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ModelData;

/**The ModelDataBaseClass() provides a toString method for all the of the
 *data classes in the model.  It uses reflection to read the fields of the
 *data classes and to convert them to a String.
 *
 * @version 1.100
 * @author dixonw*/
public class ModelDataBaseClass implements GUIConstants . General
{
   
   /** Creates a new instance of ModelDataBaseClass */
   public ModelDataBaseClass ()
   {
   }
   
   /**Returns a String containing all the input data*/
   public String toString ( )
   {
      java.lang.StringBuilder stringBuilder
         = new java.lang.StringBuilder ( 1000 ) ;
      // Get class
      // Get the input Fields
      java.lang.reflect.Field inputDataFields [ ]
         = this . getClass ( ) .getDeclaredFields (  ) ;
      // Get one Field
      // Loop over fields
      for ( int i = 0 ; i < inputDataFields . length   ; i++ )
      {
         java.lang.Class class2 = null ;
         try
         {
            java.lang.reflect.Field inputDataField = inputDataFields [ i ] ;
            stringBuilder.append ( "\n    " +  inputDataField . getName ( )
            + " =  " ) ;
            Object fieldValue =  (  inputDataFields [ i ]  . get ( this ) ) ;
            stringBuilder . append ( fieldValue . toString ( )  ) ;
         }
         catch ( Throwable throwable )
         {
            Utility.err.println ( "ERROR in GUIDatas.InputClassesBaseClass.toString ( )"
               + "throws an " + throwable . getClass ( ) . getName ()
               + "\nIn getting the " +  i   + "th attribute of inputData of class "
               + class2 . getName ( ) + "\nThe exception message is "
               +   throwable  . getMessage ( )  ) ;
         }  // end of catch
      }  // end of for ( int i = 0 ; i < inputDataFields . length   ; i++ )
      return new String ( stringBuilder );
   }  // end of toString
}  // end of ModelDataBaseClass
