/*
 * ModelEventsBaseClass.java
 *
 * Created on February 6, 2007, 1:29 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ModelEvents;

/**This is the base class for all the ModelEvents in the simulation.  It is a
 * dummy class that only print out the time that the model starts execution.  It
 * is only used once:It is the first event put in the DES by the DES constructor.
 * I this way the DES does NOT have to check each time a new event is added to the
 * DES.  The DES always starts with one Event.
 *<p>All the important methods and references are added in the subclass 
 * ModelEventsBaseClass.
 * @version 1.202
 * @author dixonw
 * @modified JMP 28Oct11 for HDLC
 */
public class ModelEventsBaserClass  implements GUIConstants . General
{
   /**The default constructor.  Used ONLY by
    *ModelDES.DiscreteEventSimulator.dummyEvent*/
   public ModelEventsBaserClass (   )
   {  }
   
   
   /**Executes the event.  This methods should be overridden in every subclass.*/
   public void ExecuteEvent ( )
   {
      Utility.out.print ( "     STARTING Java Network Workbench ExecuteEvents ( ) "
         + ( new java.util.Date ( ) ) .toString ( ) + CARRIAGE_RETURN
         + "      with random number seed "
         + Utility.JNWRandom.getInstance (  ) .seedForJNWRandomNumberGenerator
         + DOUBLE_CARRIAGE_RETURN ) ;
   }
   
}
