/*
 * DisplayEMail.java
 *
 * Created on July 14, 2007, 1:22 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ModelEvents;

import static ModelTransport.UDPUtilities.*  ;
import static ModelTransport.TCPUtilities.* ;
import static ModelTransport.IPUtilities.*;

/**Processes UDP and TCP messages at the destination.  THIS CLASS IS
 *USED FOR TESTING ONLY.  THIS CLASS IN INCORPORATED INTO 
 *ModelEvents.RoutePacketAtNodeOrProcessAtDestination. 
 *
 * @version 1.100
 * @author dixonw*/
public class ProcessMessageAtDestination extends ModelEventsBaseClass
{
   
   /**JNWBitSet to display*/
   Utility.JNWBitSet IPPacket ;
   
   
   /**Creates a new instance of Enter_E_Mail.*/
   public ProcessMessageAtDestination ( long eventStartTime , int nodeNumber
      , Utility . JNWBitSet IPPacketIn )
   {
      super ( eventStartTime ) ;
      this . thisNodeNumber = nodeNumber ;
      this . IPPacket = IPPacketIn  ;
   }
   
   
   /** Reads the e-mail.*/
   public void ExecuteEvent ( )
   {
      switch ( GetProtocolFromIPHeader ( IPPacket ) )
      {  // process UDP message
         case UDP :
            Utility.JNWBitSet eMailAsJNWBitSet
               = GetDataFromUDP_IPPacket ( IPPacket ) ;
            eMailAsJNWBitSet . removeNullCharactersAtEnd ( ) ;
            String eMail = eMailAsJNWBitSet . convertJNWBitSetToString ( ) ;
////..            out . print ( "\n\n E-Mail UDP Message RECEIVED at node "
////..               + thisNodeNumber + " is:\n"  + eMail + DOUBLE_CARRIAGE_RETURN ) ;
            System.out . print ( "\n\n E-Mail UDP Message RECEIVED at node "
               + thisNodeNumber + " is:\n"  + eMail + DOUBLE_CARRIAGE_RETURN ) ;
            break ;
         case TCP :  // Process TCP message by passing to TCPDestinationBuffer
            ModelPhysical . Node destinationNode
               = vectorOfNodes . get ( thisNodeNumber ) ;
            sourceNodeNumber = ( int ) GetSourceAddressFromIPHeader ( IPPacket ) ;
            ModelTransport . TCPConnection tcpConnection
               = destinationNode . tcpConnection;
            if ( tcpConnection == null )
            {
               Utility.err.println ( "ERROR in ModelEvents.DisplayEMail.ExecuteEvent"
                  + " ( ) TCP connection between destination node " + thisNodeNumber
                  + " and source node " +  sourceNodeNumber + " doex not exist." ) ;
            }
            else
            {
               //  Have the TCP connection process that message
               tcpConnection . ProcessReceivedTCPPacket ( eventStartTime , IPPacket, false  ) ;
            }  // end of else
            break ;
      }  // end of switch
         // Setting the globl simulation time to eventStartTime
         // is the same as assuming the Event requires no processing time.
         UpdateGlobalSimultationTime ( eventStartTime ) ;   
   }  // end of Execute
}  // end of class


   /**A method for testing only.*/
/*   public static void main ( String [ ] args )
   {
      System.out.println   ("Displaying test " ) ;
      Utility.JNWBitSet one = new Utility.JNWBitSet ( "00000000 00000000 00000000 00000000 " );
      Utility.JNWBitSet data = new Utility.JNWBitSet (  );
      data.append ( one) ;
      data.append ( one) ;
      data.append ( one) ;
      data.append ( one) ;
      data.append ( one) ;
      data.append ( one) ;
      data.append ( one) ;
      Utility.JNWBitSet theString = new Utility.JNWBitSet (  );
      theString.setJNWBitSetToString ( "NOW IS THE TIME!");
      data.append ( theString ) ;
      System.out.println   ("Displaying input " + data.toString ( )  ) ;
      ProcessMessageAtDestination test = new  ProcessMessageAtDestination (  0
         , 5
         , data ) ;
      test.ExecuteEvent ( ) ;
   }
 * */