/*
 * TimeoutTCP.java
 *
 * Created on Nov 12, 2011
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ModelEvents;
import Utility.JNWBitSet ;

/**A class to wakeup TCP sending after a timeout
 * @version 1.202
 * @author JMP
 */
public class TimeoutTCP extends ModelEventsBaseClass {

/**Instance of TCP we are waking up*/
ModelTransport.TCPConnection tcpConnection;

/**Creates a new instance of TimeoutTCP.*/
    public TimeoutTCP(
            long eventTime,
            ModelTransport.TCPConnection tcpIn) {
        super ( eventTime ) ;
        eventStopTime = eventTime;
        tcpConnection = tcpIn;

    }  // end of constructor


    /** Invokes rtrans_send() in TCPConnection.*/
    public void ExecuteEvent ( ) {

        // if connection has been closed, do nothing
        if(tcpConnection.send_state ==
             ModelData.GlobalVariables.tl_send_state.closed)
            return;

        // wake up sending interface hdlcSend to send next frame
        tcpConnection.rtrans_send();
    }
}// end class class TimeoutTCP