/*
 * WakeupHDLC.java
 *
 * Created on Nov 12, 2011
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ModelEvents;
import Utility.JNWBitSet ;

/**A class to wakeup HDLC sending after a timeout
 * @version 1.202
 * @author JMP
 */
public class WakeupHDLC extends ModelEventsBaseClass {

/**Instance of HDLC we are waking up*/
ModelDataLink.HDLC hdlc;

/**Creates a new instance of WakeupHDLC.*/
    public WakeupHDLC(
            long eventTime,
            ModelDataLink.HDLC hdlcIn) {
        super ( eventTime ) ;
        eventStopTime = eventTime;
        hdlc = hdlcIn;

    }  // end of constructor


    /** Invokes enqueueHDLCframe in HDLC.*/
    public void ExecuteEvent ( ) {
        // wake up sending interface hdlcSend to send next frame
        hdlc.sendHDLCFrame (
            hdlc.makeSupervisoryFrame (
                hdlc,//(ModelDataLink.HDLC)link.sourceInterface
                true) );
        UpdateGlobalSimultationTime ( eventStopTime );

    }

}