/*
 * UDPState.java
 *
 * Created on July 6, 2007, 2:16 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ModelTransport;

/**
 *
 * @author dixonw
 */
/**The state of a UDP connetion.  Kinda useless since UDP is stateless.  
 *Contains some UDP constants.
 * @version 1.100
 * @author dixonw
 * @see <a href="http://www.faqs.org/rfcs/rfc1700.html">RFC 1700 - Assigned Numbers</a>
 */
public class UDPState {
    
    /**Destination port.  This assumes that the destination is the
     *telnet port, 23.  I also assumes that the source and
     *destination ports are identical.*/
    protected static int UDPDestinationPort = 23 ;
    
    /**Source port.  This assume that the source is the 
     *telnet port, 23.  I also assume that the source and 
     *destination ports are identical.*/
    protected  static int UDPSourcePort = UDPDestinationPort ;  
    
    /**Time to process the message into a UDP packet.  Here it is assumed
     *to be 10 microseconds.*/
    protected static long UDPProcessingTime = ( long ) ( .000010 
       * ModelData.GlobalVariables.timeTicksPerSecond ) ;
    
    /** Creates a new instance of UDPState */
    public UDPState() {
    }
    
}
