/*
 * StartJNW.java
 *
 * Created on December 20, 2006, 8:07 AM
 *
 * To change this template, choose Tools | TemplateForClasses Manager
 * and open the template in the editor.
 */


/**
 * <p>Network Workbench is a discrete time simluation of a communications 
 *network. A detailed description of Network Workbench is contained 
 *in "Understanding Internet Protocols Through Hands on Programming," J 
 *Mark Pullen, John Wiley & Sons, 2000.  This version of Network 
 *Workbench is written in Java to provide a clearer presentation 
 *of the networking.</p>
 *                                                      
 * <p>
 * /-------------------------------------------------------------------*
 * |             Network Workbench Version 4.2                         |
 * |     Copyright (c) 1997-2001 by J. Mark Pullen                     |
 * |      George Mason University, Fairfax, Virginia                   |
 * |                                                                   |
 * |  Permission to use, copy, modify, and distribute this             |
 * |  software and its documentation for academic purposes is hereby   |
 * |  granted without fee, provided that the above copyright notice    |
 * |  and this permission appear in all copies and in supporting       |
 * |  documentation, and that the name of George Mason University      |
 * |  not be used in advertising or publicity pertaining to            |
 * |  distribution of the software without specific, written prior     |
 * |  permission. GMU makes no representations about the suitability   |
 * |  of this software for any purposes.  It is provided "AS IS"       |
 * |  without express or implied warranties.  All risk associated      |
 * |  with use of this software is expressly assumed by the user.      |
 * |  GMU does not give its permission to sell this software, or       |
 * |  include it within commercial products, without separate          |
 * |  written agreement.                                               |
 * -------------------------------------------------------------------/
 * 
  *<p><b>Versions:</b>
 *<li><b>Version 1.101</b> of 20071113 adds the method 
 *reorderEvent (int eventSequenceNumber  , long newEventTime )</li>
 *<li><b>Version 1.002</b> of 20071118 adds the 
 *method RestoreEventAtNewEventTime ( long newEventTime 
       , ModelEvents.EventBaseClass event  ) which
 *restores the Event to the DES at the newEventTime.  I had forgotten 
 *that when you call reorderEvent from
 *within ExecuteEvent() the Event it is no long in the DES, so reorderEvent
 *will fail.  The Event is no longer in the DES since it had to be removed to 
 *execute ExecuteEvent()</li>
 *
 *<p><b>REMAINING PROBLEMS:</b>
 *<li><b>Version 1.001</b> of 20071113 adds the method 
 *reorderEvent (int eventSequenceNumber  , long newEventTime )</li>
 *<li><b>Version 1.002</b> of 20071118 adds the 
 * method RestoreEventAtNewEventTime ( long newEventTime 
       , ModelEvents.EventBaseClass event  ) which
 *restores the Event to the DES at the newEventTime.  I had forgotten 
 *that when you call reorderEvent from
 *within ExecuteEvent() the Event it is no long in the DES, so reorderEvent
 *will fail.  The Event is no longer in the DES since it had to be removed to 
 *execute ExecuteEvent()</li>
 *
 *@see <a href="http://www.freesoft.org/CIE/Course/Section4/8.htm">TCP Header Format</a>
 *@see <a href="http://www.faqs.org/rfcs/rfc1700.html">RFC 1700 - Assigned Numbers</a>
 *@version 1.100
 *@author dixonw
 */
public class TemplateForClasses implements GUIConstants.General {
    
    /**Creates a new instance of StartJNW, which starts the model
     *at the MainGUI.*/
    public TemplateForClasses() { 
  
      try {
         String inputTopologyFile = "DUMMY" ;
         java.io.BufferedReader fileReader = new java.io.BufferedReader (
            new java.io.FileReader ( inputTopologyFile ) );
         // update the fileNameForJFileChooser for later access to the same
         // folder
       }
      catch ( java.lang.Exception exception ) {
         Utility.err.println ( " ERROR IN MainGUI_Actions.ReadTopologyFileAction."
            + "actionPerformed:\nException " + exception.getClass ().getName () 
            + " thrown while trying to " + "open topology file because "
            + exception.getCause () );
      } 
      
       GUIs.MainGUI maiGUI = new GUIs.MainGUI ( );
    }
    
    /**The main starting point for the simluation.<p>The "standard" output stream 
     *will be redirected if a path name is passed as the first call line parameter.
     *The "standard" error output stream 
     *will be redirected if a path name is passed as the second call line parameter.
     *Pass the name as, for example, C:\Output.txt.  Do <b>NOT</b> enclose the name in 
     *quotation marks such as "C:\Output.txt".
     *<p>You can redirect the error output stream without redirecting the output stream by
     *entering an invalid file name, such as OUTPUT, for the output file name.   
     *@param args the command line arguments. */
  public static void main_For_Testing_Only ( String [ ] args ) {
     
  }
    
}  // end of class StartJNW()
