/*
 * JNWBoolean.java
 *
 * Created on January 6, 2007, 10:30 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package GUIData;

/**A wrapper for a boolean value.  This wrapper includes a method to
 *return a JComponent, here a JCheckBox, loaded with the data values
 * and a method to read the data value in the JComponent.
 *
 * @version 1.100
 * @author dixonw*/
public class JNWBoolean implements java.io.Serializable {

   /**Creates a new instance of JNWBoolean.*/
   public JNWBoolean () {
      booleanValue = false;
   }

   /**Constructor that initializes the string to a String*/
   public JNWBoolean ( boolean booleanValueIn ) {
      this.booleanValue = booleanValueIn;
   }

   public String toString () {
      return new Boolean ( booleanValue ).toString ();
   }

   /**Returns a JComponent, here a JCheckBox, loaded with the attribute's present
    * value. */
   public javax.swing.JComponent ReturnLoadedJComponent () {
      jCheckBox = new javax.swing.JCheckBox ();
      jCheckBox.setSelected ( booleanValue );
      jCheckBox.setEnabled ( true );
      return jCheckBox;
   }

   /**Reads the JCheckBox.*/
   public void ReadValueFromGUI () {
      Object[] word = new Object[ 1 ];
      word = jCheckBox.getSelectedObjects ();
      if (word == null) {
         booleanValue = false;
      }
      else {
         booleanValue = true;
      }
   }  // end of public void ReadValueFromGUI ( )

   /**A getter method.*/
   public boolean getBoolean () {
      return booleanValue;
   }

   /**A getter method*/
   public void setBoolean ( boolean booleanInput ) {
      booleanValue = booleanInput;
   }

   /**The boolean wrapped in the JNWBoolean object.*/
   private boolean booleanValue;

   /** The JTextField holding the string.*/
   private javax.swing.JCheckBox jCheckBox;

}
