/*
 * Load_Generator_Variables.java
 *
 * Created on June 2, 2007, 9:11 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package GUIData;


/**A class of data for the graphical representation of link data
 * in class TopologyDisplay_Static.  It reads the Link and stores the Link
 * data in its fields.  TopologyDisplay_Static, Network Dipslay or any other
 * class using input GUI can then display and update the data.
 * @version 1.100
 * @author dixonw*/
public class Link_Characteristics extends InputClassesBaseClass
   implements GUIConstants.General {

      public static GUIData.JNWLongInteger data_rate_in_kbps
         = new GUIData.JNWLongInteger (  MINUS_ONE );
      public static GUIData.JNWDouble bit_Error_Rate
         = new GUIData.JNWDouble (  MINUS_ONE );
      public static GUIData.JNWDouble transmission_Delay
         = new GUIData.JNWDouble ( MINUS_ONE );
      public static GUIData.JNWJComboBox interface_Type
         = new GUIData.JNWJComboBox (
         java.util.EnumSet.range (
         ModelData.GlobalVariables.interfaceTypes . Ethernet ,
         ModelData.GlobalVariables.interfaceTypes . TokenRing ) );


    /** Creates a new instance of Link_Characteristics from the Link in
     the graphical display.*/
    public Link_Characteristics( ) {
       // Get the current link from the single static variable
       int index = GUIGraphical . TopologyDisplay_Static . linkWherePressed  ;
       GUIGraphical.GraphicalLink link
         = GUIGraphical.TopologyDisplay_Static.linkVector.get ( index );
       // Set the displays to the current values in the Link
         data_rate_in_kbps
         = new GUIData.JNWLongInteger (  link . dataRate    ) ;
         bit_Error_Rate
           = new GUIData.JNWDouble (  link . bitErrorRate ) ;
        transmission_Delay
         = new GUIData.JNWDouble ( link .transmissionDelay );
        // The JComboBox must be set using a setSelection method
         interface_Type.setSelection ( link .interfaceType ) ;
    } // end of constructor


  /** Sets the appropriate variables to the input data.  THIS METHOD IS 
   CALLED BY REFLECTION.*/
   public static void UpdateInputData ( ) {
       int index = GUIGraphical . TopologyDisplay_Static . linkWherePressed  ;
        GUIGraphical.GraphicalLink link
           = ( GUIGraphical.GraphicalLink )
           GUIGraphical.TopologyDisplay_Static.linkVector.get ( index );
        link . dataRate = ( int ) data_rate_in_kbps .getLongInteger () ;
        link . bitErrorRate = ( float ) bit_Error_Rate .getDouble ( ) ;
        link . transmissionDelay = ( float ) transmission_Delay . getDouble () ;
        link . interfaceType
           = ( ModelData.GlobalVariables.interfaceTypes ) interface_Type .getValue ( )  ;
        // Set this boolean to signify that the ENTER/UPDATE button has
        // been pushed.  See the JavaDoc description of this boolean
        ModelData.LoadGeneratorVariables.hasGUIButtonBeenPushed = true ;
   }  // end of UpdateInputData ( )


} // end of class Link_Characteristics( )
