/*
 * Load_Generator_Variables.java
 *
 * Created on June 2, 2007, 9:11 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package GUIData;


/**A class of data for the load geneerator.
 *
 * @version 1.100
 * @author dixonw*/
public class Load_Generator_Variables extends InputClassesBaseClass
   implements java.io.Serializable {

   /**What is the distibution of the message lengths?*/
    public static GUIData.JNWJComboBox Message_Length_Distribution
            = new GUIData.JNWJComboBox (
            java.util.EnumSet . range(
              ModelData.LoadGeneratorVariables.possibleMessageLengthDistributions.Fixed
            , ModelData.LoadGeneratorVariables.possibleMessageLengthDistributions.Exponential ) ) ;

    /**The message mean length in bytes.*/
    public static GUIData.JNWLongInteger message_Mean_Length
       = new GUIData . JNWLongInteger (
            ModelData.LoadGeneratorVariables.messageMeanLength   )   ;

     /**The number of messages generated per second.*/
    public static GUIData . JNWDouble message_Generation_Rate
       = new GUIData . JNWDouble (
            ModelData.LoadGeneratorVariables.messageGenerationRate   )   ;

    /**The source node number */
    public static GUIData.JNWLongInteger source_node_number
       = new GUIData.JNWLongInteger (
            ModelData.LoadGeneratorVariables.sourceNodeNumber  )   ;

   /**The destination node number */
   public static GUIData.JNWLongInteger destination_node_number
       = new GUIData.JNWLongInteger (
           ModelData.LoadGeneratorVariables.destinationNodeNumber )   ;


    /** Creates a new instance of Global_Variables */
    public Load_Generator_Variables() {
    } // end of constructor

  /** Sets the appropriate variables to the input data.  This method also tests
   *to ensure that the sourceNodeNumber and the destinationNodeNumber are valid
   *numbers 0<= sourceNodeNumber, destinationNodeNumber < numberOfNodes.  THIS METHOD IS CALLED
   BY REFLECTION.*/
   public static void UpdateInputData ( ) {
        int numberOfNodes
            = ModelData.JNWSingletonVectorOfNodes.getInstance (  ) . size ( ) ;
        int temporaryInt ;
        ModelData.LoadGeneratorVariables.messageLengthDistribution
           = ( ModelData . LoadGeneratorVariables . possibleMessageLengthDistributions )
           Message_Length_Distribution . getValue( ) ;
        ModelData.LoadGeneratorVariables.messageMeanLength
                = ( int ) message_Mean_Length   . getLongInteger( )  ;
        ModelData.LoadGeneratorVariables.messageGenerationRate
           =  message_Generation_Rate . getDouble( )  ;
        temporaryInt = ( int ) source_node_number . getLongInteger( )  ;
        if ( temporaryInt < 0 | temporaryInt >= numberOfNodes  ) {
            Utility.err.println ("ERROR IN GUIDatas.Load_Generator_Variables."
               + "UpdateInputData: source node number: " +  temporaryInt
               + " must be between 0 and " + ( numberOfNodes - 1 ) );
            return ;
        }
        ModelData.LoadGeneratorVariables.sourceNodeNumber
           = temporaryInt ;
        temporaryInt = ( int ) destination_node_number . getLongInteger( )  ;
         if ( temporaryInt < 0 | temporaryInt >= numberOfNodes  ) {
            Utility.err.println  ("ERROR IN GUIDatas.Load_Generator_Variables."
               + "UpdateInputData: destination node number: " +  temporaryInt
               + " must be between 0 and " + ( numberOfNodes - 1 ) );
            return ;
        }
        ModelData.LoadGeneratorVariables.destinationNodeNumber
           = temporaryInt ;
        if ( ModelData.LoadGeneratorVariables.hasGUIButtonBeenPushed == false ) {
           new ModelEvents . GenerateMessageLoad ( 0 ) ;
        }
        // Set this boolean to signify that the ENTER/UPDATE button has
        // been pushed.  See the JavaDoc description of this boolean
        ModelData.LoadGeneratorVariables.hasGUIButtonBeenPushed = true ;

   }  // end of UpdateInputData ( )
}
