package GUIData;
/*
 * InputData.java
 *
 * Created on January 15, 2007, 8:20 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

/**
 *InputData is a singleton wrapper for the output data.  It only provides a holding place
 *for the output data.
 * @version 1.100
 * @author dixonw*/
public class OutputDataSingleton implements java.io.Serializable {

    /**Output String*/
    public String outputString = new String ( ) ;
    
    /**The singleton instance of the class InputData*/
    private static final OutputDataSingleton outputData = new OutputDataSingleton ( ) ;

    /** Creates a new instance of InputData */
    private OutputDataSingleton( ) {
        outputString = "OUTPUT TEXT AREA from the singleton" ;
    }
     
    /**Method to return instance of the InputData*/
    public static OutputDataSingleton getInstance ( ) {
        return outputData ;
    }
    
    /**Returns a String containing all the output data*/
    public String toString ( ) {
       return outputString ;
    }  // end of toString   
    
}
