/*
 * StringProcessorsforGUIs.java
 *
 * Created on January 15, 2007, 1:08 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package GUIs;

/**
 *This provides some String utilities for creating labels for the InputGUIs.
 *  it creates the frame title and the names for the input variables.
 * @version 1.100
 * @author dixonw*/
public class StringProcessorsforGUIs   {

    /**A generic String used throughout the methods.*/
    private static String string = null ;
    
    /**Creates a new instance of StringProcessorsforGUIs.*/
    public StringProcessorsforGUIs() {
    }
    
    
     /**Method to convert a class name into a label for the JFrame of the
      * InputGUI.*/
    public static String MakeJFrameTitle ( String stringIn ) {
        // Copy the String
        string =  new String ( stringIn  ) . trim ( );
        // find the last '.'
        int i = string.lastIndexOf( '.' );
        // If it exists take the substring
        if ( i > -1 ) { string = string . substring ( i + 1 ) ; }
        // Replace the '_'s with blank spaces
        return string . replace ( '_' , ' ' ) . trim ( ) . toUpperCase( ) ;
    }  // end of public static String MakeJFrameTitle ( String stringIn ) 
  
    
    /**Method to convert an attribute name into a title to
     * be displayed in the InputGUI.  Converts '_' to ' ' and then
     * raises the first character after the '_' to an uppercase
     * character.  If the '_' is the last character in the name, it does
     * not raise the character to uppercase.*/
    public static String MakeDataTitleForInputGUI ( String stringIn ) {
        // Copy the String to a character array
        char [ ] characterArray =  stringIn  . trim ( ) .toCharArray( ) ;
        // Convert the first character to uppercase
        characterArray [ 0 ] = java.lang.Character 
           . toUpperCase ( characterArray [ 0 ]  ) ;          
        for ( int i = 0 ; i < characterArray . length ; i++ )
            if ( characterArray [ i ] == '_') {
               // Convert any '_' to ' ''
               characterArray [ i ] = ' ' ;
               // Convert the first character after "_" to upper case, unless
               // the "_" was the last character in the array, in which case
               // the next character does not exist.
               if ( i < characterArray.length - 1 ) {
                 characterArray [ i + 1 ] 
                   = java . lang . Character . toUpperCase ( characterArray [ i + 1 ]  ) ; 
               }  // end of if ( i < character . length - 1 ) 
            }  // End of if ( character [ i ] == '_')
        return new String ( characterArray ) ; 
    }  // end of public static String MakeDataTitleForInputGUI ( String stringIn )
}
