/*
 * General.java
 *
 * Created on January 2, 2008, 3:12 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ModelConstants;

/**
 * @version 1.100
 * @author dixonw*/
public interface General
{
   /**Bits per byte*/
   int BITS_PER_BYTE = 8 ;

   /**IP header length in bytes*/
   int IP_HEADER_LENGTH_IN_BYTES = 20;   
   
   /**IP header length in bytes*/
   int IP_HEADER_LENGTH_IN_BITS = IP_HEADER_LENGTH_IN_BYTES * BITS_PER_BYTE ;
    
   /**UDP header length in bytes*/
   int UDP_HEADER_LENGTH_IN_BYTES = 8 ; 
   
   /**IP header length in bytes*/
   int UDP_HEADER_LENGTH_IN_BITS = UDP_HEADER_LENGTH_IN_BYTES * BITS_PER_BYTE ;
         
   /**TCP header length in bytes*/
   int TCP_HEADER_LENGTH_IN_BYTES = 20 ; 
   
   /**IP header length in bytes*/
   int TCP_HEADER_LENGTH_IN_BITS = TCP_HEADER_LENGTH_IN_BYTES * BITS_PER_BYTE ;
    
   /**The length of the IP V4 address in bits*/
   int IP_ADDRESS_LENGTH_IN_BITS = 32 ;
   
   /**The length of the port numbers in bits*/
   int IP_PORT_NUMBER_LENGTH_IN_BITS = 16 ;
}
