/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Utility;

/**This class permits the user to stop the model whenever he wishes.  Put
 * Utility.Interactive.Interact(); into the code at the desires spot.  The
 * code will stop and query the StandardIO for an input,"c", "C", "x", or "X".
 *
 * @author dixonw
 */
public class Interactive {
   
   
   /**The input string*/
   static String character ; 
   /**
    * Causes the model to pause until either an "c", "C", "x", or "X" is entered at the
    * keyboard.  This method is always called from Utilities.out.print.  But it can be
    * inserted anywhere in the code.  Entering either "C" or "c" causes
    * the model to resume.  Entering either "x" or "X" causes the model to exit.
    */
   public static void Interact () {  
      // If in interactive mode or pausing at the print statements, 
      // pause for input from the keyboard else return
      if (ModelData.GlobalVariables.interactiveModeOfOperation == false
         & ModelData.GlobalVariables.pauseAtPrints == false ) {
         return;
      }
      try {
 ////        String character;
         do {
            System.out.println ( 
               "Model pausing for input: enter C or c to continue, X or x to stop:" );
            character = Utility.IO.ReadSingleLineFromStandardIO ();
         } while ( ! character.equals ( "C" ) &  ! character.equals ( "c" ) &
             ! character.equals ( "X" ) &  ! character.equals ( "x" ));
         if (character.equals ( "x" ) | character.equals ( "X" )) {
            System.out.println ( "Stopping in Utility.Interactive.Interact ( )" );
            System.exit ( 1 );
         }  // end of if
      }  // end of try
      catch ( java.lang.Exception exception ) {
         System.out.println ( " ERROR IN Utility.out.Interact:"
            + "\nException " + exception.getClass ().getName ()
            + " thrown while trying to " + "read input " + exception.getCause () );
      }  // end of catch
   }  // end of Interact   
   
   
}  // end of class
