/*
 * out.java
 *
 * Created on February 20, 2007, 6:41 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package Utility;

/**
 * Provides methods to write error messages.  Error messages always are written
 * to the System.err.  The user can choose to have the error messages written
 * to System.out or the center panel of the MainGUI.  The use uese booleans
 * sendErrorsToMainGUI and sendErrorsToStandardOutput to choose those options.
 * <p>Error messages are always written in red.</p>
 * 
 * <p><b>VERSIONS:</b>
 * <li><b>Version 1.100</b> The print, err, and Interact() methods are not working
 * correctly.  print and err are causing the screen to "blink" while the
 * main thread is performing the calculations.  Read the description of the
 * method OutTEST for a further description of the problem and the attempted,
 * but ultimately futile, solutions.</li>
 * 
 * 
 * 
 * @author dixonw
 * @version 1.100
 * @see <a href="http://www.java-tips.org/java-se-tips/javax.swing/how-to-add-colored-text-to-the-document.html">Colored Textoutt</a>
 */
public class err {

 /** Allows access to the singleton of the output data.  This is the jTextArea*/
   static GUIData.JNWSingletonJTextPane jTextOutputPane 
      = GUIData.JNWSingletonJTextPane.getInstance();
   
   /**Boolean telling whether to print error messages also to the Main GUI.  All
    * errors are written to System.err.  This boolean is set in displayed 
    * on the Global Variables GUI using class GUIDatas.Global_Variables.*/
   public static boolean sendErrorsToMainGUI = true;
   
   /**Boolean telling whether to print error messages also to
    * the standard output.  All errors are written to System.err*/
   public static boolean sendErrorsToStandardOutput = false;
   
   /**The input String.*/
   private static String inputString;

   /**Creates a new instance of err.*/
   public err() {
   }

   /**Writes to the center panel of the Main GUI.  If alsoPrintOutputToStandardOutput is
    *true, the output is also sent to the standard output.  See the JavaDoc for
    *StartNetworkWorkbench.Main for directions to redirect the standard output.  Carriage
    *control must be supplied with the input string.*/
   public static void print(String string) {
      System . err . print ( string ) ;
      jTextOutputPane.appendColored(string , java.awt.Color.RED);
      if (sendErrorsToStandardOutput == true) {
         System.out.print(string);
      }
   }  // end of public static void print(String string)


   /**Writes to the center panel of the Main GUI.  If alsoPrintOutputToStandardOutput is
    *true, the output is also sent to the standard output.  See the JavaDoc for
    *StartNetworkWorkbench.Main for directions to redirect the standard output.  Carriage
    *control must be supplied with the input string.*/
   public static void println(String string) {
      print ( string + GUIConstants . General . CARRIAGE_RETURN  ) ;
   }  // end of public static void println(String string)

}  // end of class out




   /** FOR TESTING ONLY.*/
/*   public static void main_Testing_Only (String[] args) {
      System.err.println("IN PRINT");
      out test = new out();
      ////    test.TESTER ( );
      System.err.println("after tester");
      System.exit(0);
      // StartJNW the simulation
//      GUIs.MainGUI networkWorkbench = GUIs.MainGUI.getInstance();
/*
      out print = new out();
      String string = "NOW IS THE TIME FOR ALL GOOD MEN TO COME" + " TO THE AID OF THEIR COUNTRY.\n";
      string = string + string;
      for (int i = 0 ; i < 1000 ; i++) {
         String stringInt = new Integer(i).toString();
         System.out.println(" i = " + stringInt);
         ////print.OutTEST(stringInt + "    \n");
         for (int j = 0 ; j < 32 ; j++) {
         ////   print.OutTEST(string);
         }
      }
   }  // end of main
*/
